#version 130

// "uniform" variables which are user-determined
uniform mat4 projection_matrix;

// "in" variables are supplied from the vertex data
in vec4 position;

// "out" variables are the outputs of this pipeline stage to the next
// "vertex" shaders should output the built-in variable gl_Position,
// as well as anything declared here
smooth out vec3 P;

// The main function runs once per vertex
void main () {

  // Pass through the input, which is already in view coordinates
  P = vec3(position);

  // Output also needs projection
  gl_Position = projection_matrix * position;

}
