#version 130

// #define VARYING_COL to include per-pixel diffuse colour

// "uniform" variables which are user-determined
uniform bool radial_depth;
#ifndef VARYING_COL
uniform vec4 surface_colour;
#endif // VARYING_COL

// "in" variables are received from the previous pipeline stage
// "smooth" variables are bi-linearly interpolated between vertices
#ifdef VARYING_COL
smooth in vec4 surface_colour;
#endif // VARYING_COL

// "out" variables are the outputs of this pipeline stage to the next
// "fragment" shaders should output an RGBA pixel value
out vec4 fragment_colour;

// The main function runs once per "fragment" (per pixel)
void main () {

  // might need to adjust depth if shadowing from point light1_position
  if (radial_depth) {
    gl_FragDepth = 1.0 / gl_FragCoord.w;
  } else {
    gl_FragDepth = gl_FragCoord.z;
  }

  // Simply write the interpolated vertex colour to the framebuffer
  fragment_colour = surface_colour;

}
