#version 130

// "uniform" variables which are user-determined
uniform mat4 modelviewproj_matrix;

// "in" variables are supplied from the vertex data
in vec4 position;
in vec2 texcoord;

// "out" variables are the outputs of this pipeline stage to the next
// "vertex" shaders should output the built-in variable gl_Position,
// as well as anything declared here
smooth out vec2 surface_texcoord;

// The main function runs once per vertex
void main () {

  // Calculate the transformed and projected vertex position
  gl_Position = modelviewproj_matrix * position;
  surface_texcoord = texcoord;
}
